curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/jobs' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"items": [
{
"claimedBy": "string",
"createdAt": "2026-08-31T14:22:05Z",
"error": "string",
"finishedAt": "2026-08-31T14:22:05Z",
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": null,
"leaseExpiresAt": "2026-08-31T14:22:05Z",
"maxRetries": 1,
"nextRetryAt": "2026-08-31T14:22:05Z",
"result": null,
"retryCount": 1,
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"startedAt": "2026-08-31T14:22:05Z",
"state": null,
"tenantId": "acme-outdoors"
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}
List background jobs for a tenant
Jobs for this tenant
GET
/
v1
/
tenants
/
{tenant_id}
/
jobs
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/jobs' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"items": [
{
"claimedBy": "string",
"createdAt": "2026-08-31T14:22:05Z",
"error": "string",
"finishedAt": "2026-08-31T14:22:05Z",
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": null,
"leaseExpiresAt": "2026-08-31T14:22:05Z",
"maxRetries": 1,
"nextRetryAt": "2026-08-31T14:22:05Z",
"result": null,
"retryCount": 1,
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"startedAt": "2026-08-31T14:22:05Z",
"state": null,
"tenantId": "acme-outdoors"
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}
Path parameters
string
required
Tenant identifier
Query parameters
integer (int32)
Page number (1-indexed)
integer (int32)
Items per page (max 100)
string
Filter by job state (queued, running, succeeded, failed, retry_pending)
string
Filter by job type (e.g. shopify_sync)
Response
object
JobInfo[]
required
object
required
Status codes
| Code | Meaning |
|---|---|
200 | Jobs for this tenant |
401 | Unauthorized |
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/jobs' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"items": [
{
"claimedBy": "string",
"createdAt": "2026-08-31T14:22:05Z",
"error": "string",
"finishedAt": "2026-08-31T14:22:05Z",
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": null,
"leaseExpiresAt": "2026-08-31T14:22:05Z",
"maxRetries": 1,
"nextRetryAt": "2026-08-31T14:22:05Z",
"result": null,
"retryCount": 1,
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"startedAt": "2026-08-31T14:22:05Z",
"state": null,
"tenantId": "acme-outdoors"
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}